net.minecraft.client.renderer

## Class ActiveRenderInfo

- java.lang.Object
- - net.minecraft.client.renderer.ActiveRenderInfo

-     public class ActiveRenderInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static float` | `objectX`
    `static float` | `objectY`
    `static float` | `objectZ`
    `static float` | `rotationX`
    `static float` | `rotationXY`
    `static float` | `rotationXZ`
    `static float` | `rotationYZ`
    `static float` | `rotationZ`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveRenderInfo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Block` | `getBlockAtEntityViewpoint(World p_151460_0_, EntityLivingBase p_151460_1_, float p_151460_2_)`
    `static Vec3` | `projectViewFromEntity(EntityLivingBase par0EntityLivingBase, double par1)`
    `static void` | `updateRenderInfo(EntityPlayer par0EntityPlayer, boolean par1)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### objectX

          public static float objectX

    - #### objectY

          public static float objectY

    - #### objectZ

          public static float objectZ

    - #### rotationX

          public static float rotationX

    - #### rotationXZ

          public static float rotationXZ

    - #### rotationZ

          public static float rotationZ

    - #### rotationYZ

          public static float rotationYZ

    - #### rotationXY

          public static float rotationXY

  - ### Constructor Detail

    - #### ActiveRenderInfo

          public ActiveRenderInfo()

  - ### Method Detail

    - #### updateRenderInfo

          public static void updateRenderInfo(EntityPlayer par0EntityPlayer,
                              boolean par1)

    - #### projectViewFromEntity

          public static Vec3 projectViewFromEntity(EntityLivingBase par0EntityLivingBase,
                                   double par1)

    - #### getBlockAtEntityViewpoint

          public static Block getBlockAtEntityViewpoint(World p_151460_0_,
                                        EntityLivingBase p_151460_1_,
                                        float p_151460_2_)